package com.patzn.lims.sys.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.sys.entity.SysCity;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 城市表 服务类
 * </p>
 *
 * @author patzn
 * @since 2017-07-10
 */
public interface ISysCityService extends IBaseService<SysCity> {

  Page<SysCity> page(Page<SysCity> page, SysCity sysCity);

  List<SysCity> list(SysCity sysCity);

  List<SysCity> listByProvinceCode(String provinceCode);

  List<Map<String, Object>> listByProvinceId(Long provinceId);

  boolean existByProvinceCode(String provinceCode);
}
